<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$forma_pago=$_POST['forma_pago'];
if($forma_pago=='efectivo')
{
    $medio_pago='Efectivo';
}
if($forma_pago=='transferencia')
{
    $medio_pago=$_POST['medio_pago'];
} 
if($forma_pago=='tarjeta')
{
   $medio_pago=$_POST['medio_pago'];
}

$number = count($_POST["ven_id"]); 
if($number > 0)  
{  
    for($i=0; $i<$number; $i++)  
    {  
        if(trim($_POST["ven_id"][$i] != '') )
        $ven_id=$_POST["ven_id"][$i];  

        $can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can);
        $mov_numero=$dato['mov_numero']+1;
        $can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can);
        $mov_id=$dato['mov_id']+1;

        $can=mysqli_query($con,"SELECT MAX(abo_numero)as abo_numero FROM abono_adelantado") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can); 
        $abo_numero=$dato['abo_numero']+1;
        $sql=mysqli_query($con, "SELECT cajas_caja_id, apertura, mca_estado from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa' and sucursal='$sucursal' and mca_estado='1'");
        $rowa= mysqli_fetch_array($sql);
        $apertura=$rowa['apertura'];
        $cajas_caja_id=$rowa['cajas_caja_id']; 

        $sql="SELECT * FROM ventas where empresa='$empresa' and ven_id='$ven_id'";
            $query=mysqli_query($con, $sql);
        while ($reg=mysqli_fetch_array($query))
        {
            $ven_id=$reg['ven_id'];
            $ven_n_venta=$reg['ven_n_venta'];
            $ven_estado=$reg['ven_estado'];
            $clie_id=$reg['Cliente_clie_id'];
            $ven_forma_de_pago=$reg['ven_forma_de_pago'];
            include('../php_pos/saldodeventas.php');
        }


        // $saldo=$_POST['saldo'];
        $valor=$saldo;
        $fecha=date('Y-m-d H:i:s');
        $clie_id=$_POST['clie_id'];

        $sql2=mysqli_query($con, "SELECT * from cliente where clie_id='$clie_id' and empresa='$empresa' ");
        $sql2=mysqli_fetch_array($sql2);
        $clie_disponible=$sql2['clie_disponible'];
        $clie_nombre=$sql2['clie_nombre'];
        $suma=$clie_disponible+$valor;
        $registros=mysqli_query($con,"UPDATE cliente Set clie_disponible='$suma' Where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con));

        $regis=mysqli_query($con,"INSERT into venta_abonos (veab_abono,forma_pago,medio_pago,veab_fecha,mov_id,usuario,apertura,sucursal,empresa,ventas_ven_id)
              VALUES ('$valor','$forma_pago','$medio_pago','$fecha','$mov_id','$usu_id','$apertura','$sucursal','$empresa','$ven_id')") or die(mysqli_error($con));

        $registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
              VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono cxc','Abono de las factura $ven_n_venta','$valor','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or die(mysqli_error($con));  

       /* $registros=mysqli_query($con,"INSERT into abono_adelantado (abo_clie_id,abo_numero,abo_clie_nombre,abo_fecha,abo_concepto,abo_valor,empresa,movimientos_mov_id) 
              VALUES  ('$clie_id','$abo_numero','$clie_nombre','$fecha','Abono de las factura $ven_n_venta','$valor','$empresa','$mov_id')") or die(mysqli_error($con));  */

         $sql=mysqli_query($con,"UPDATE ventas Set
                        ven_estado='pagada'
                        Where ven_id='$ven_id'") or die(mysqli_error($con));

        echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Abono </strong>registrado correctamente de la venta <strong> N° '.$ven_n_venta.'</strong>
            </div>';
            
 
     }
  }
?>                                        